XKBSEL-AW(1)

NAME
xkbsel-aw - select keyboard layout using a Xaw GUI

SYNOPSIS
xkbsel-aw [OPTION]

DESCRIPTION
xkbsel-aw is a simple GUI for selecting the keyboards and indicating the current selection. It displays a window where the current selection is indicated. When clicking on this window, a menu of the configured map shortcuts together with the descriptions pops up, allowing to select one of them. installs the first configured map when started.

OPTIONS
xkbsel-aw has no own options, but it accepts common Xt options such as -display, -geometry, -bg or -fg. As the map descriptions are normally written in local language, xkbsel-aw is using font sets instead of fonts to allow automatic encoding selection based on current locale. That means that -fn will not work. Use fontSet for this purpose, either on the command line using e.g.
-xrm '*fontSet: -*-courier-medium-r-*-*-*-100-*-*-m-*-*-*'
or use application default file.

EXAMPLES

  Fvwm2 configuration
Following lines added to .fvwm2rc will automatically start the selector on login:
    Style "xkbsel-aw" NoTitle, Sticky, WindowListSkip
    AddToFunc "InitFunction" "I" ...
    [...original stuff...]
    + "I" Exec exec xkbsel-aw -geometry 48x24-0-0 &
If you are using FvwmWharf or FvwmButtons modules, instead of starting and explicitly positioning xkbsel-aw in InitFunction you can dock the application into them using the Swallow directory, e.g. by adding following line into your FvwmButtons configuration in .fvwm2rc (should be written on single line):
    *FvwmButtons(Swallow (NoHints) "xkbsel-aw"
      'Exec xkbsel-aw -geometry 48x24')
To switch the keyboards on ctrl-F1, -F2 etc., add something like this into your .fvwm2rc:
    Key F1 A C Exec exec xkbsel us
    Key F2 A C Exec exec xkbsel sk
    Key F3 A C Exec exec xkbsel cs

FILES

/etc/xkbsel.conf
    system configuration file

~/.xkbsel/xkbsel.conf
    user's configuration file

SEE ALSO
xkbseldb(1), xkbsel(1), xkbsel(5)

AUTHOR
Stanislav Meduna <stano@trillian.eunet.sk>